# =============================================================================
# >> IMPORTS
# =============================================================================
# Source.Python Imports
from Source import Player
from Source import Engine
from Source import Entity
#   Events
from events.decorator import Event
#   Messages
from messages import Chat

# =============================================================================
# >> CONFIG
# =============================================================================

syphon_announce = 1
# syphon modes: //1: health //2: speed //3: armor //4: money //you can choose different modes together, like [1,3] or [1,2,3]

syphon_mode = [1, 2, 3, 4]

#you can add as many weapons as you want. Example: syphon_weapon = ['knife', 'glock', 'awp']

syphon_weapon = ['knife']

syphon_health = 40

syphon_speed = 10

syphon_armor = 50

syphon_money = 5000


# =============================================================================
# >> GAME EVENTS
# =============================================================================

@Event
def round_start(GameEvent):
    userid = GameEvent.GetInt('userid')
    player = Player.EdictOfUserid(userid)
    index = Engine.IndexOfEdict(player)
    if syphon_announce == 1:
        Chat(index, '[Syphon] Kill enemys with your knife to gain rewards!')

@Event
def player_death(GameEvent):
    userid = GameEvent.GetInt('attacker')
    player = Player.EdictOfUserid(userid)
    index = Engine.IndexOfEdict(player)
    if GameEvent.GetString('weapon') in syphon_weapon:
        if 1 in syphon_mode:
            Chat(index, '[Syphon] You gained %s health!' % (syphon_health))
            health = player.GetPropInt("CBasePlayer.m_iHealth")
            health + 40
            player.SetPropInt("CBasePlayer.m_iHealth", health + syphon_health)
        if 2 in syphon_mode:
            Chat(index, '[Syphon] You gained %s percent speed!' % (syphon_speed))
            speed = player.GetPropFloat("CBasePlayer.localdata.m_flLaggedMovementValue")
            speed_add = syphon_speed / 100
            player.SetPropFloat("CBasePlayer.localdata.m_flLaggedMovementValue", speed + speed_add)
        if 3 in syphon_mode:
            Chat(index, '[Syphon] You gained %s armor!' % (syphon_armor))
            armor = player.GetPropInt("CCSPlayer.m_ArmorValue")
            player.SetPropInt("CCSPlayer.m_ArmorValue", armor + syphon_armor)
        if 4 in syphon_mode:
            Chat(index, '[Syphon] You gained %s money!' % (syphon_money))
            money = player.GetPropInt("CCSPlayer.m_iAccount")
            player.SetPropInt("CCSPlayer.m_iAccount", money + syphon_money)


